Index: DCWoRMS/branches/coolemall/src/example/energy/coolemall/NodeEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/energy/coolemall/NodeEnergyEstimationPlugin.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/energy/coolemall/NodeEnergyEstimationPlugin.java	(revision 1247)
@@ -1,6 +1,6 @@
 package example.energy.coolemall;
 
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
-import schedframe.resources.computing.coolemall.Node;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
 import schedframe.resources.computing.profiles.energy.power.StandardPowerStateName;
Index: DCWoRMS/branches/coolemall/src/example/energy/coolemall/CB2EnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/energy/coolemall/CB2EnergyEstimationPlugin.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/energy/coolemall/CB2EnergyEstimationPlugin.java	(revision 1247)
@@ -3,8 +3,8 @@
 
 import schedframe.resources.StandardResourceType;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.coolemall.ComputeBox1;
-import schedframe.resources.computing.coolemall.Node;
 import schedframe.resources.computing.coolemall.NodeGroup;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
Index: DCWoRMS/branches/coolemall/src/example/energy/coolemall/HeatsinkEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/energy/coolemall/HeatsinkEnergyEstimationPlugin.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/energy/coolemall/HeatsinkEnergyEstimationPlugin.java	(revision 1247)
@@ -1,5 +1,5 @@
 package example.energy.coolemall;
 
-import schedframe.resources.computing.ComputingNode;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
@@ -16,5 +16,5 @@
 		double powerConsumption = 0;
 		Device device = (Device) resource;
-		ComputingNode cn = (ComputingNode) device.getComputingResource();
+		Node cn = (Node) device.getComputingResource();
 		for(Processor proc : cn.getProcessors()){
 			powerConsumption = powerConsumption + proc.getPowerInterface().getRecentPowerUsage().getValue();
Index: DCWoRMS/branches/coolemall/src/example/energy/coolemall/NodeGroupEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/energy/coolemall/NodeGroupEnergyEstimationPlugin.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/energy/coolemall/NodeGroupEnergyEstimationPlugin.java	(revision 1247)
@@ -1,5 +1,5 @@
 package example.energy.coolemall;
 
-import schedframe.resources.computing.coolemall.Node;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.coolemall.NodeGroup;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
Index: DCWoRMS/branches/coolemall/src/example/energy/NodeEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/energy/NodeEnergyEstimationPlugin.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/energy/NodeEnergyEstimationPlugin.java	(revision 1247)
@@ -1,5 +1,5 @@
 package example.energy;
 
-import schedframe.resources.computing.ComputingNode;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
@@ -13,5 +13,5 @@
 			PhysicalResource resource) {
 		double powerConsumption = 0;
-		ComputingNode node = (ComputingNode) resource;
+		Node node = (Node) resource;
 		for(Processor cpu: node.getProcessors()){
 			try{
Index: DCWoRMS/branches/coolemall/src/example/energy/DataCenterEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/energy/DataCenterEnergyEstimationPlugin.java	(revision 1207)
+++ DCWoRMS/branches/coolemall/src/example/energy/DataCenterEnergyEstimationPlugin.java	(revision 1247)
@@ -1,5 +1,5 @@
 package example.energy;
 
-import schedframe.resources.computing.ComputingNode;
+import schedframe.resources.computing.Node;
 import schedframe.resources.computing.DataCenter;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
@@ -15,5 +15,5 @@
 		double power = 0;
 		DataCenter dataCenter = (DataCenter)resource;
-		for(ComputingNode cn:dataCenter.getComputingNodes()){
+		for(Node cn:dataCenter.getNodes()){
 			PowerUsage powerUsage = cn.getPowerInterface().getRecentPowerUsage();
 			power += (powerUsage == null ? 0 : powerUsage.getValue());
